part of 'product_detail_bloc.dart';

abstract class ProductDetailEvent {}

class GetProductDetailEvent extends ProductDetailEvent {
  final int productId;

  GetProductDetailEvent(this.productId);
}

class GetInterestProductsMoreEvent extends ProductDetailEvent {}

class ChangeProductFavoriteEvent extends ProductDetailEvent {
  final bool isFav;

  ChangeProductFavoriteEvent(this.isFav);
}

class ChangeProductCartEvent extends ProductDetailEvent {
  final bool isInCart;

  ChangeProductCartEvent(this.isInCart);
}
